<?php
class eventclass_customer_profiles  extends TableEventsBase {
	
	function init() {
		$this->events = array(
	'BeforeEdit' => true 
);
		$this->fieldValues = array(
	'filterLimit' => array(
		 
	),
	'mapIcon' => array(
		 
	),
	'viewCustom' => array(
		 
	),
	'lookupWhere' => array(
		 
	),
	'viewFileText' => array(
		 
	),
	'defaultValue' => array(
		'is_verified' => array(
			'edit' => true 
		),
		'active' => array(
			'edit' => true 
		) 
	),
	'autoUpdateValue' => array(
		 
	),
	'uploadFolder' => array(
		 
	),
	'viewPluginInit' => array(
		 
	),
	'editPluginInit' => array(
		 
	) 
);
			}
		function BeforeEdit( &$values, &$sqlValues, $where, &$oldvalues, &$keys, &$message, $inline, $pageObject ) {
		if (isset($_SESSION["admin_user_id"])) {
    $values["updated_by_admin_id"] = (int)$_SESSION["admin_user_id"];
}

if (isset($values["updatedAt"])) {
    $values["updatedAt"] = date("Y-m-d H:i:s");
}
		;
		return true;
	}
	public function default_is_verified_efedit(  ) {
	$defaultValue = 0;
return $defaultValue;
}

public function default_active_efedit(  ) {
	$defaultValue = 1;
return $defaultValue;
}	

}


?>